Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVDepthBufferFloat

    java.lang.Object
      org.lwjgl.opengl.NVDepthBufferFloat

    public final class NVDepthBufferFloat

extends java.lang.Object

Field Summary
`static int` | `GL_DEPTH_BUFFER_FLOAT_MODE_NV` Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_DEPTH_COMPONENT32F_NV` Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:
`static int` | `GL_DEPTH32F_STENCIL8_NV`
`static int` | `GL_FLOAT_32_UNSIGNED_INT_24_8_REV_NV` Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

Method Summary
`static void` | `glClearDepthdNV(double d)`
`static void` | `glDepthBoundsdNV(double zmin, double zmax)`
`static void` | `glDepthRangedNV(double n, double f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_DEPTH_COMPONENT32F_NV

    public static final int GL_DEPTH_COMPONENT32F_NV

  Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:

  See Also:
    Constant Field Values

### GL_DEPTH32F_STENCIL8_NV

    public static final int GL_DEPTH32F_STENCIL8_NV

See Also:
  Constant Field Values

### GL_FLOAT_32_UNSIGNED_INT_24_8_REV_NV

    public static final int GL_FLOAT_32_UNSIGNED_INT_24_8_REV_NV

  Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

  See Also:
    Constant Field Values

### GL_DEPTH_BUFFER_FLOAT_MODE_NV

    public static final int GL_DEPTH_BUFFER_FLOAT_MODE_NV

  Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glDepthRangedNV

    public static void glDepthRangedNV(double n,
                                       double f)

### glClearDepthdNV

    public static void glClearDepthdNV(double d)

### glDepthBoundsdNV

    public static void glDepthBoundsdNV(double zmin,
                                        double zmax)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.